<?php

namespace BrightRiver\Rendered\Block\Adminhtml\System\Config;

use Magento\Config\Block\System\Config\Form\Field;
use Magento\Framework\Data\Form\Element\AbstractElement;

/**
 * Renders color picker input field
 *
 * @since 1.0.0
 */
class ColorPicker extends Field
{
    /**
     * Render Color Picker HTML
     *
     * @param AbstractElement $element
     * @return string
     */
    protected function _getElementHtml(AbstractElement $element)
    {
        // Start HTML container for the color picker field
        $html = '<div class="field field-color-picker">';

        // Append the original element HTML
        $html .= $element->getElementHtml();

        // Add JavaScript for color picker functionality
        $html .= <<<HTML
        <script>
            require(['jquery'], function($) {
                var colorField = $('#config-edit-form').find('#rendered_popup_popup_bg');

                colorField.on('focus', function() {
                    colorField.attr('type', 'color');
                    colorField.click();
                });

                colorField.on('blur, change', function() {
                    colorField.attr('type', 'text');
                });
            });
        </script>
        </div>
        HTML;

        return $html;
    }
}
