<?php

namespace BrightRiver\Rendered\Model\Config\Source;

use Magento\Eav\Model\Entity\Attribute\Source\AbstractSource;

/**
 * AR Placement options.
 *
 * @api
 * @since 1.0.0
 */
class ARPlacement extends AbstractSource
{
    /**
     * All the options available options
     *
     * @return array
     */
    public function getOptionArray()
    {
        $options = [
            'wall' => __('Wall'),
            'floor' => __('Floor'),
        ];

        return $options;
    }

    /**
     * Retrieve All options
     *
     * @return array
     */
    public function getAllOptions()
    {
        $res = $this->getOptions();

        array_unshift($res, ['value' => '', 'label' => '']);

        return $res;
    }

    /**
     * Retrieve All options as associative array
     *
     * @return array
     */
    public function getOptions()
    {
        $res = [];

        foreach ($this->getOptionArray() as $value => $label) {
            $res[] = ['value' => $value, 'label' => $label];
        }

        return $res;
    }

    /**
     * Get options as array
     *
     * @return array
     * @codeCoverageIgnore
     */
    public function toOptionArray()
    {
        return $this->getOptions();
    }
}
