<?php

namespace BrightRiver\Rendered\Model\Config\Source;

use Magento\Framework\Option\ArrayInterface;

/**
 * Source model for element with on and off variants.
 *
 * @api
 * @since 1.0.0
 */
class Onoff implements ArrayInterface
{
    /**
     * Value which equal On for Onoff dropdown.
     */
    protected const ON_VALUE = 1;

    /**
     * Value which equal Off for Onoff dropdown.
     */
    protected const OFF_VALUE = 0;

    /**
     * Available options for the input.
     *
     * @return array
     */
    public function toOptionArray()
    {
        return [
            ['value' => self::ON_VALUE, 'label' => __('On')],
            ['value' => self::OFF_VALUE, 'label' => __('Off')],
        ];
    }
}
